package com.fs.company.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.common.core.domain.R;
import com.fs.company.domain.CompanyDivItem;

/**
 * 分账明细Service接口
 *
 * @author fs
 * @date 2025-10-21
 */
public interface ICompanyDivItemService extends IService<CompanyDivItem>{
    /**
     * 查询分账明细
     *
     * @param id 分账明细主键
     * @return 分账明细
     */
    CompanyDivItem selectCompanyDivItemById(Long id);

    /**
     * 查询分账明细列表
     *
     * @param companyDivItem 分账明细
     * @return 分账明细集合
     */
    List<CompanyDivItem> selectCompanyDivItemList(CompanyDivItem companyDivItem);

    /**
     * 新增分账明细
     *
     * @param companyDivItem 分账明细
     * @return 结果
     */
    int insertCompanyDivItem(CompanyDivItem companyDivItem);

    /**
     * 修改分账明细
     *
     * @param companyDivItem 分账明细
     * @return 结果
     */
    int updateCompanyDivItem(CompanyDivItem companyDivItem);

    /**
     * 批量删除分账明细
     *
     * @param ids 需要删除的分账明细主键集合
     * @return 结果
     */
    int deleteCompanyDivItemByIds(Long[] ids);

    /**
     * 删除分账明细信息
     *
     * @param id 分账明细主键
     * @return 结果
     */
    int deleteCompanyDivItemById(Long id);

    CompanyDivItem selectCompanyDivItemByOrderCode(String orderCode);

    CompanyDivItem selectCompanyDivItemByPayCode(String payCode);

    R confirmByPayCodes(List<String> payCodes);

    R confirmByPayCodesScrm(List<String> payCodes);
}
